> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a call back schedule

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/contact-center/api-list)</Badge>

For any running campaign, this API lets third-party tools schedule a call with a contact who requests to be reached at a later date and time.

| **Method**        | POST                                                                                                                           |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| **Endpoint**      | `https://{{host}}/campaign/api/v2/public/{{botId}}/campaign/{{campaignInstanceId}}/callContactAt`                              |
| **Content-Type**  | `application/json`                                                                                                             |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token) |
| **API Scope**     | Campaign Management                                                                                                            |

## Headers Parameters

| Parameter   | Description                   | Type             |
| ----------- | ----------------------------- | ---------------- |
| `auth`      | JWT token for authentication. | string, required |
| `iid`       | The Application identifier.   | string, required |
| `accountId` | The Account identifier.       | string, required |

## Path Parameters

| Parameter            | Description                                          | Type             |
| -------------------- | ---------------------------------------------------- | ---------------- |
| `campaignInstanceId` | Unique identifier of the specific campaign instance. | string, required |

## Body Parameters

| Parameter               | Description                                                                                                     | Type             |
| ----------------------- | --------------------------------------------------------------------------------------------------------------- | ---------------- |
| `campaignDialingListId` | Unique identifier of the contact in the campaign. Use it to link the current call attempt to the original call. | string, required |
| `timeToContact`         | The time when the user wants to be called back.                                                                 | string, required |

## Sample Request

```bash expandable theme={null}
curl --location 'https://{{host}}/campaign/api/v2/public/{{botID}}/campaign/{{campaignInstanceId}}/callContactAt' \
--header 'accountid: 685bd2b**********fa5b15d' \
--header 'iid: st-c663aae2-2e**********95-9fa9acca1a2e' \
--header 'Content-Type: application/json' \
--header 'auth: <token> ' \
--data '[
    {
        "campaignDialingListId": "cid-1741dc3************dd1-4ddc085c8e44",
        "timeToContact": "2026-06-18T17:55:00Z"
    }
]'
```

## Sample Response

```json expandable theme={null}
"status": "success",
    "data": [
        {
            "campaignDialingListId": "cid-1741dc***************1-4ddc085c8e44",
            "status": "failed",
            "reason": "time_in_past"
        }
    ]
```

## Response Body Parameters

| Parameter               | Description                          | Type   |
| ----------------------- | ------------------------------------ | ------ |
| `campaignDialingListId` | Unique identifier for the campaign.  | string |
| `success`               | The status of the campaign dialling. | string |
| `reason`                | Reason for the failure.              | string |
